$(document).ready(function () {   

   window.initialLabelText =$("#flk_tempeloquaaronlickey1_label").text();
   $("#flk_tempeloquaaronlickey1").closest("tr").hide();
   $("#flk_tempeloquaaronlickey2").closest("tr").hide();
   $("#flk_productnumber").closest("tr").hide();
     
   $("#flk_utm_campaign").closest("tr").hide();
   $("#flk_utm_medium").closest("tr").hide();
   $("#flk_utm_source").closest("tr").hide();

   ReadandSetValuesFromQueryParameters();
   
   if($("#flk_productnumber").val()!='')
   {
       InitializeProductSelection("flk_productnumber",true,function(){
           $("#flk_productmodelnumber").attr('readonly', 'true');
           $("#flk_serialnumber").attr('readonly', 'true');
      });

   }
   else{
       InitializeProductSelection("flk_productnumber");
   }

 $("#InsertButton").replaceWith('<input type="button" name="InsertButton" value="'+SubmitBtn+'" onclick="ProcessNewRegistration();" id="InsertButton" title="'+SubmitBtn+'" class="submit-btn btn btn-primary form-action-container-right">');

 $("#flk_productnumber").change(function () {

    var productNumber=$(this).val();
 
    $("#flk_tempeloquaaronlickey1").closest("tr").hide();
    $("#flk_tempeloquaaronlickey2").closest("tr").hide();
    $("#flk_tempeloquaaronlickey1").css('display','none');
    $("#flk_tempeloquaaronlickey2").css('display','none');
    $("#flk_tempeloquaaronlickey1_label").css('display','none');
    $("#flk_tempeloquaaronlickey2_label").css('display','none');
 
    var bothKeyVisibile= productsListWithBothLICKeys.split(',');
    var firstKeyVisibile= productsListWithFirstKey.split(',');
    
    if (bothKeyVisibile.includes(productNumber)){
        $("#flk_tempeloquaaronlickey1").closest("tr").show();
        $("#flk_tempeloquaaronlickey2").closest("tr").show();
        $("#flk_tempeloquaaronlickey1").css('display','block');
        $("#flk_tempeloquaaronlickey2").css('display','block');
        $("#flk_tempeloquaaronlickey1_label").css('display','block');
        $("#flk_tempeloquaaronlickey1_label").text(initialLabelText);
        $("#flk_tempeloquaaronlickey2_label").css('display','block');
    } else if (firstKeyVisibile.includes(productNumber))//smartview product check to change license key 1 label to Registration Code
    {
        $("#flk_tempeloquaaronlickey1").closest("tr").show();       
        $("#flk_tempeloquaaronlickey1").css('display','block');       
        $("#flk_tempeloquaaronlickey1_label").css('display','block');
        $("#flk_tempeloquaaronlickey1_label").text('Registration Code');       
    }   
 });


});




function ReadandSetValuesFromQueryParameters(productNumber)
{   
   const queryParameters = new URLSearchParams(window.location.search);
   
   if(queryParameters.has('model') && queryParameters.has('sn')){
       $("#flk_productnumber").val(queryParameters.get('model'));		
       $("#flk_serialnumber").val(queryParameters.get('sn'));	
   }

   //Changes for UTM
   if(queryParameters.has('utm_campaign') && queryParameters.has('utm_medium') && queryParameters.has('utm_source'))
   {
       $("#flk_utm_campaign").val(queryParameters.get('utm_campaign'));
       $("#flk_utm_medium").val(queryParameters.get('utm_medium'));
       $("#flk_utm_source").val(queryParameters.get('utm_source'));
   }

}



var ProcessNewRegistration =  function () {    
    validateAndSubmit(SubmitNewRegistrationRequest);   
}

var SubmitNewRegistrationRequest= async function(){
    
   var portalBaseURL = window.location.origin;

   var pn = $("#flk_productnumber").val();
   var sn = $("#flk_serialnumber").val().trim();
   var pd = $("#flk_purchasedate").val();  

   var lickey1 = $("#flk_tempeloquaaronlickey1").val();
   var lickey2 = $("#flk_tempeloquaaronlickey2").val();
   var utm_campaign = $("#flk_utm_campaign").val();
   var utm_medium = $("#flk_utm_medium").val();
   var utm_source = $("#flk_utm_source").val();
   
   var queryString = "?pn=" + pn + "&sn=" + sn + "&pd=" + pd;  
   
   queryString = lickey1 != null && lickey1 != ""?queryString + "&lic1=" + lickey1:queryString;   
   queryString = lickey2 != null && lickey2 != ""?queryString + "&lic2=" + lickey2:queryString;
   queryString = utm_campaign != null && utm_campaign != ""?queryString + "&utmc=" + utm_campaign:queryString;
   queryString = utm_medium != null && utm_medium != ""?queryString + "&utmm=" + utm_medium:queryString;
   queryString = utm_source != null && utm_source != ""?queryString + "&utms=" + utm_source:queryString;

   var selectedProductDetails = await getSelectedProductDetails(pn);
   
   if(selectedProductDetails != null && selectedProductDetails.length ){
      queryString= queryString + "&isbundle=" + selectedProductDetails[0].isbundle;
      queryString= queryString + "&iskit=" + selectedProductDetails[0].iskit;
   }  

   var url = portalBaseURL + processRegistrationPartialURL + queryString;
   window.location.href = url;
}



   